--- gs-orig/src/configure.ac	2007-04-26 11:23:03.000000000 +0100
+++ gs-newbuild/src/configure.ac	2007-04-26 19:37:24.000000000 +0100
@@ -22,6 +22,30 @@
 AC_PREREQ(2.52)
 AC_CONFIG_SRCDIR(src/gs.c)
 
+GS_VERSION_MAJOR=8
+GS_VERSION_MINOR=57
+GS_REVISIONDATE=20070426
+
+GS_VERSION=`expr $GS_VERSION_MAJOR \* 100 + $GS_VERSION_MINOR`
+
+if test $GS_VERSION_MINOR -lt 10; then
+	GS_VERSION_MINOR0=0$GS_VERSION_MINOR
+else
+	GS_VERSION_MINOR0=$GS_VERSION_MINOR
+fi
+
+AC_SUBST(GS_REVISIONDATE, $GS_REVISIONDATE)
+AC_SUBST(GS_VERSION_MAJOR, $GS_VERSION_MAJOR)
+AC_SUBST(GS_VERSION_MINOR, $GS_VERSION_MINOR)
+AC_SUBST(GS_VERSION_MINOR0, $GS_VERSION_MINOR0)
+AC_SUBST(GS_VERSION, $GS_VERSION)
+
+dnl Inherit compiler flags from the environment...
+CFLAGS="${CFLAGS:=}"
+CPPFLAGS="${CPPFLAGS:=}"
+CXXFLAGS="${CXXFLAGS:=}"
+LDFLAGS="${LDFLAGS:=}"
+
 dnl --------------------------------------------------  
 dnl Check for programs
 dnl --------------------------------------------------  
@@ -36,6 +60,20 @@
 AC_PROG_RANLIB
 #AC_PROG_INSTALL
 
+dnl --------------------------------------------------  
+dnl Allow excluding the contributed drivers
+dnl --------------------------------------------------  
+
+AC_ARG_ENABLE(contrib, [  --disable-contrib       do not include contributed drivers [default=include]])
+CONTRIBINCLUDE="include contrib/contrib.mak"
+INSTALL_CONTRIB="install-contrib-extras"
+if test x$enable_contrib = xno; then
+    CONTRIBINCLUDE=""
+    INSTALL_CONTRIB=""
+    CFLAGS="$CFLAGS -DNOCONTRIB"
+fi
+AC_SUBST(CONTRIBINCLUDE)
+
 dnl --------------------------------------------------
 dnl Set build flags based on environment
 dnl --------------------------------------------------
@@ -53,6 +91,12 @@
     optflags_to_try="-O"
 fi
 
+AC_ARG_ENABLE(debug, [  --enable-debug          turn on debugging [default=no]])
+if test x$enable_debug = xyes; then
+    optflags_to_try="-g"
+    CFLAGS="-DDEBUG $CFLAGS"
+fi
+
 AC_MSG_CHECKING([supported compiler flags])
 old_cflags=$CFLAGS
 echo
@@ -144,6 +188,8 @@
 	GCFLAGS="$GCFLAGS -DGX_COLOR_INDEX_TYPE=\"$uint64_type\""
 fi
 
+dnl pkg-config is used for several tests now...
+AC_PATH_PROG(PKGCONFIG, pkg-config)
 
 dnl --------------------------------------------------
 dnl Check for libraries
@@ -152,6 +198,50 @@
 AC_CHECK_LIB(m, cos)
 dnl AC_CHECK_LIB(pthread, pthread_create)
 
+dnl Tests for iconv (Needed for OpenPrinting Vector, "opvp" output device)
+AC_ARG_WITH(libiconv,
+            [AC_HELP_STRING([--with-libiconv=@<:@no/gnu/native@:>@],
+                            [use the libiconv library])],,
+	    [with_libiconv=maybe])
+found_iconv=no
+case $with_libiconv in
+  maybe)
+    # Check in the C library first
+    AC_CHECK_FUNC(iconv_open, [with_libiconv=no; found_iconv=yes])
+    # Check if we have GNU libiconv
+    if test $found_iconv = "no"; then
+      AC_CHECK_LIB(iconv, libiconv_open, [with_libiconv=gnu; found_iconv=yes])
+    fi
+    # Check if we have a iconv in -liconv, possibly from vendor
+    if test $found_iconv = "no"; then
+      AC_CHECK_LIB(iconv, iconv_open, [with_libiconv=native; found_iconv=yes])
+    fi
+    ;;
+  no)
+    AC_CHECK_FUNC(iconv_open, [with_libiconv=no; found_iconv=yes])
+    ;;
+  gnu|yes)
+    AC_CHECK_LIB(iconv, libiconv_open, [with_libiconv=gnu; found_iconv=yes])
+    ;;
+  native)
+    AC_CHECK_LIB(iconv, iconv_open, [with_libiconv=native; found_iconv=yes])
+    ;;
+esac
+if test x$found_iconv != xno -a x$with_libiconv != xno ; then
+  LIBS="$LIBS -liconv"
+fi
+
+case $with_libiconv in
+  gnu)
+    AC_DEFINE(USE_LIBICONV_GNU, 1, [Using GNU libiconv])
+    ;;
+  native)
+    AC_DEFINE(USE_LIBICONV_NATIVE, 1, [Using a native implementation of iconv in a separate library])
+    ;;
+esac
+
+AC_CHECK_LIB(dl, dlopen)
+
 AC_MSG_CHECKING([for local jpeg library source])
 dnl At present, we give the local source priority over the shared
 dnl build, so that the D_MAX_BLOCKS_IN_MCU patch will be applied.
@@ -246,6 +336,40 @@
 AC_SUBST(LIBPNGDIR)
 AC_SUBST(PNGDEVS)
 
+dnl look for CUPS...
+AC_ARG_ENABLE(cups, [  --enable-cups           turn on CUPS support, default=yes])
+
+CUPSDEV=""
+CUPSINCLUDE=""
+CUPSCONFIG="${CUPSCONFIG:=}"
+cups_datadir="/usr/share/cups"
+cups_serverroot="/etc/cups"
+cups_serverbin="/usr/lib/cups"
+
+if ( ! test -z "$CONTRIBINCLUDE" ) && ( test -d contrib/cups ); then
+    if test x$enable_cups != xno; then
+	AC_PATH_PROG(CUPSCONFIG,cups-config)
+	if test "x$CUPSCONFIG" != x; then
+	    dnl Use values from CUPS config...
+#	    LIBS="`$CUPSCONFIG --ldflags` `$CUPSCONFIG --static --image --libs | sed -e '1,$s/-lssl//'` $LIBS"
+	    LIBS="`$CUPSCONFIG --ldflags` `$CUPSCONFIG --image --libs` $LIBS"
+	    CFLAGS="`$CUPSCONFIG --cflags` $CFLAGS -Dgs_stderr=stderr"
+	    cups_serverroot="`$CUPSCONFIG --serverroot`"
+	    cups_serverbin="`$CUPSCONFIG --serverbin`"
+	    cups_datadir="`$CUPSCONFIG --datadir`"
+	    CUPSINCLUDE="include contrib/cups/cups.mak"
+	    CUPSDEV="\$(DD)cups.dev"
+	fi
+    fi
+fi
+
+AC_SUBST(CUPSDEV)
+AC_SUBST(CUPSCONFIG)
+AC_SUBST(CUPSINCLUDE)
+AC_SUBST(cups_datadir)
+AC_SUBST(cups_serverroot)
+AC_SUBST(cups_serverbin)
+
 dnl look for IJS implementation
 AC_ARG_WITH(ijs, AC_HELP_STRING([--with-ijs],[include IJS driver support]))
 dnl set safe defaults
@@ -370,23 +494,76 @@
 AC_SUBST(SHARE_JASPER)
 AC_SUBST(JPXDEVS)
 
+dnl look for omni implementation
+AC_ARG_WITH([omni], AC_HELP_STRING([--with-omni],
+	[build the omni driver]))
+dnl set safe defaults
+OMNIDEVS=''
+INCLUDEOMNI=yes
+if ( ! test -z "$CONTRIBINCLUDE" ) && ( test x$with_omni != xno ); then
+	OMNIDEVS='$(DD)omni.dev'
+
+	if test -n "$GCC"; then
+		LIBS="$LIBS -lstdc++"
+	fi
+fi
+AC_SUBST(OMNIDEVS)
+
 dnl optional X11 for display devices
 AC_PATH_XTRA
-XLIBS=''
-if test x"$no_x" = x"yes"; then
-	AC_MSG_NOTICE([disabling X11 output devices])
-	X11DEVS=''
-else
-	# enable X11 output devices
-	X11DEVS='$(DD)x11.dev $(DD)x11alpha.dev $(DD)x11cmyk.dev $(DD)x11gray2.dev $(DD)x11gray4.dev $(DD)x11mono.dev'
-	# the makefile wants a list of just the library names in XLIBS
-	for item in -lXt $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS; do
-		stripped=`echo "$item" | sed -e 's/-l//'`
-		if test "x$stripped" != "x$item"; then
-			XLIBS="$XLIBS $stripped"
+
+X_LDFLAGS=""
+X_CFLAGS=""
+X_DEVS=""
+X_LIBS=""
+
+if test x$no_x != xyes; then
+	if test "$x_libraries" = "/usr/lib"; then
+		echo "Ignoring X library directory \"$x_libraries\" requested by configure."
+		x_libraries="NONE"
+	fi
+	if test ! "$x_libraries" = "NONE" -a ! "$x_libraries" = ""; then
+		LDFLAGS="-L$x_libraries $LDFLAGS"
+		X_LDFLAGS="-L$x_libraries"
+		if test "$uname" = "SunOS"; then
+			X_LDFLAGS="$X_LDFLAGS -R$x_libraries"
 		fi
-	done
-fi
+	fi
+
+	if test "$x_includes" = "/usr/include"; then
+		echo "Ignoring X include directory \"$x_includes\" requested by configure."
+		x_includes="NONE"
+	fi
+	if test ! "$x_includes" = "NONE" -a ! "$x_includes" = ""; then
+		X_CFLAGS="-I$x_includes"
+	fi
+
+	SAVELIBS="$LIBS"
+
+	AC_CHECK_LIB(X11,XOpenDisplay)
+	AC_CHECK_LIB(Xext,XdbeQueryExtension)
+	AC_CHECK_LIB(Xt,XtAppCreateShell)
+
+	LIBS="$SAVELIBS"
+
+	if test "$ac_cv_lib_Xt_XtAppCreateShell" = yes; then
+		X11DEVS="\$(DD)x11.dev \$(DD)x11alpha.dev \$(DD)x11cmyk.dev \$(DD)x11mono.dev \$(DD)x11_.dev \$(DD)x11alt_.dev \$(DD)x11cmyk2.dev \$(DD)x11cmyk4.dev \$(DD)x11cmyk8.dev \$(DD)x11rg16x.dev \$(DD)x11rg32x.dev \$(DD)x11gray2.dev \$(DD)x11gray4.dev"
+		X_DEVS=$X11DEVS
+		# the makefile wants a list of just the library names in XLIBS
+		for item  in -lXt $X_PRE_LIBS -lXext -lX11 $X_EXTRA_LIBS; do
+			stripped=`echo "$item" | sed -e 's/-l//'`
+			if test "x$stripped" != "x$item"; then
+				XLIBS="$XLIBS $stripped"
+			fi
+		done
+		X_LIBS=$XLIBS
+	fi
+fi
+
+AC_SUBST(X_LDFLAGS)
+AC_SUBST(X_CFLAGS)
+AC_SUBST(X_LIBS)
+AC_SUBST(X_DEVS)
 AC_SUBST(X11DEVS)
 AC_SUBST(XLIBS)
 
@@ -405,6 +582,284 @@
                fi])
 AC_SUBST(COMPILE_INITS)
 
+dnl look for drivers to compile...
+AC_ARG_WITH(drivers,
+[  --with-drivers=LIST     Drivers to support, separated by commas.
+                          Either list the drivers or use aliases:
+                          ALL      = all drivers
+                          FILES    = all file format drivers
+                          PRINTERS = all printer drivers
+                          Printers:
+                          APPLE    = all Apple printers
+                          BROTHER  = all Brother printers
+                          CANON    = all Canon printers
+                          EPSON    = all Epson printers
+                          HP       = all HP printers
+                          IBM      = all IBM printers
+                          JAPAN    = older japanese printers
+                          LEXMARK  = all Lexmark printers
+                          OKI      = all OKI printers
+			  PCLXL    = all PCL XL/6 printers
+                          File formats:
+                          BMP      = Output to bmp files
+                          FAX      = Output to fax files
+                          JPEG     = Output to JPEG files
+                          JPEG2000 = Output to JPEG 2000 files
+                          PBM      = Output to PBM/PNM
+                          PCX      = Output to PCX
+			  PNG      = Output to PNG
+                          PS       = Output to PostScript/PDF
+                          TIFF     = Output to TIFF
+                          You can mix both variants, e.g.
+                          --with-drivers=HP,stcolor would build HP drivers and
+                          the Epson stcolor driver.
+                          Aliases must be uppercase (a 3rd party driver might
+                          have the same name).
+                          Default: ALL],drivers="$withval",drivers="ALL")
+
+AC_ARG_WITH(driversfile,
+[  --with-driversfile=FILE Drivers to support from file, separated by newlines.],
+driversfile="$withval",driversfile="")
+
+if test "x$driversfile" != x; then
+	# Add drivers from file...
+	drivers="`tr '\n' ',' <$driversfile`"
+fi
+
+dnl Check which drivers we'd like to support.
+P_DEVS=""
+F_DEVS=""
+
+dnl Known printers
+HP_DEVS="cdj500 djet500 djet500c dnj650c cljet5pr deskjet laserjet ljetplus ljet2p ljet3 ljet3d ljet4 ljet4d lj4dith lj5mono lj5gray cdeskjet cdjcolor cdjmono cdj550 pj pjxl pjxl300 lp2563 paintjet pjetxl cljet5 cljet5c pxlmono pxlcolor cdj670 cdj850 cdj880 cdj890 cdj970 cdj1600 chp2200 pcl3 hpdjplus hpdjportable hpdj310 hpdj320 hpdj340 hpdj400 hpdj500 hpdj500c hpdj510 hpdj520 hpdj540 hpdj550c hpdj560c hpdj600 hpdj660c hpdj670c hpdj680c hpdj690c hpdj850c hpdj855c hpdj870c hpdj890c hpdj1120c lj3100sw"
+PCLXL_DEVS="pxlmono pxlcolor"
+EPSON_DEVS="eps9high eps9mid epson epsonc escp lp8000 lq850 photoex st800 stcolor alc1900 alc2000 alc4000 alc4100 alc8500 alc8600 alc9100 lp3000c lp8000c lp8200c lp8300c lp8500c lp8800c lp9000c lp9200c lp9500c lp9800c lps6500 epl2050 epl2050p epl2120 epl2500 epl2750 epl5800 epl5900 epl6100 epl6200 lp1800 lp1900 lp2200 lp2400 lp2500 lp7500 lp7700 lp7900 lp8100 lp8300f lp8400f lp8600 lp8600f lp8700 lp8900 lp9000b lp9100 lp9200b lp9300 lp9400 lp9600 lp9600s lps4500"
+CANON_DEVS="bj10e bj200 bjc600 bjc800 lbp8 lips3 bjcmono bjcgray bjccmyk bjccolor"
+LEXMARK_DEVS="lxm5700m lx5000 lxm3200 lex2050 lex3200 lex5700 lex7000"
+BROTHER_DEVS="hl7x0 hl1240 hl1250"
+APPLE_DEVS="appledmp iwhi iwlo iwlq"
+IBM_DEVS="ibmpro jetp3852"
+OKI_DEVS="oki182 okiibm oki4w"
+JAPAN_DEVS="lips4 lips4v ljet4pjl lj4dithp dj505j picty180 lips2p bjc880j pr201 pr150 pr1000 pr1000_4 jj100 bj10v bj10vh mj700v2c mj500c mj6000c mj8000c fmpr fmlbp ml600 lbp310 lbp320 md50Mono md50Eco md1xMono escpage lp2000 npdl rpdl"
+MISC_PDEVS="uniprint ap3250 atx23 atx24 atx38 coslw2p coslwxl cp50 declj250 fs600 imagen lj250 m8510 necp6 oce9050 r4081 sj48 tek4696 t4693d2 t4693d4 t4693d8 dl2100 la50 la70 la75 la75plus ln03 xes md2k md5k gdi samsunggdi"
+OPVP_DEVS="opvp oprp"
+
+dnl Known file formats
+BMP_DEVS="bmpmono bmpgray bmpsep1 bmpsep8 bmp16 bmp256 bmp16m bmp32b bmpa16 bmpa16m bmpa256 bmpa32b bmpamono bmpasep1 bmpasep8"
+FAX_DEVS="cfax dfaxlow dfaxhigh fax tfax tiffg3 tiffg32d tiffg4 faxg3 faxg32d faxg4"
+JPEG_DEVS="jpeg jpeggray"
+JPEG2000_DEVS="jpx"
+PNG_DEVS="png16 png16m png256 pngalpha pnggray pngmono"
+TIFF_DEVS="tiffs tiff12nc tiff24nc tiffcrle tifflzw tiffpack"
+PCX_DEVS="pcxmono pcxgray pcx16 pcx256 pcx24b pcxcmyk pcx2up"
+PBM_DEVS="pbm pbmraw pgm pgmraw pgnm pgnmraw pnm pnmraw ppm ppmraw pkm pkmraw pksm pksmraw pam"
+PS_DEVS="psdf psdcmyk psdrgb pdfwrite pswrite epswrite psgray psmono psrgb bbox"
+MISC_FDEVS="ccr cgm24 cgm8 cgmmono cif inferno mag16 mag256 mgr4 mgr8 mgrgray2 mgrgray4 mgrgray8 mgrmono miff24 plan9bm sgirgb sunhmono bit bitrgb bitcmyk devicen spotcmyk xcf"
+
+while test -n "$drivers"; do
+	if echo $drivers |grep "," >/dev/null; then
+		THIS="`echo $drivers |sed -e 's/,.*//'`"
+		drivers="`echo $drivers |sed -e \"s/$THIS,//\"`"
+	else
+		THIS=$drivers
+		drivers=""
+	fi
+	case "$THIS" in
+	ALL)
+		# ALL = PRINTERS + FILES...
+		if test -z "$drivers"; then
+			drivers="PRINTERS,FILES"
+		else
+			drivers="$drivers,PRINTERS,FILES"
+		fi
+		;;
+	PRINTERS)
+		P_DEVS="$P_DEVS $CANON_DEVS $EPSON_DEVS $HP_DEVS $LEXMARK_DEVS $BROTHER_DEVS $APPLE_DEVS $IBM_DEVS $OKI_DEVS $JAPAN_DEVS $MISC_PDEVS $OPVP_DEVS"
+		;;
+	FILES)
+		F_DEVS="$F_DEVS $BMP_DEVS $FAX_DEVS $JPEG_DEVS $JPEG2000_DEVS $PNG_DEVS $TIFF_DEVS $PCX_DEVS $PBM_DEVS $PS_DEVS $MISC_FDEVS"
+		;;
+	APPLE)
+		# All Apple printers
+		P_DEVS="$P_DEVS $APPLE_DEVS"
+		;;
+	BMP)
+		# BMP file format
+		F_DEVS="$F_DEVS $BMP_DEVS"
+		;;
+	CANON)
+		# All Canon printers
+		P_DEVS="$P_DEVS $CANON_DEVS"
+		;;
+	EPSON)
+		# All Epson printers
+		P_DEVS="$P_DEVS $EPSON_DEVS"
+		;;
+	FAX)
+		# Fax file formats
+		F_DEVS="$F_DEVS $FAX_DEVS"
+		;;
+	JPEG)
+		# Jpeg file formats
+		F_DEVS="$F_DEVS $JPEG_DEVS"
+		;;
+	JPEG2000)
+		# Jpeg file formats
+		F_DEVS="$F_DEVS $JPEG2000_DEVS"
+		;;
+	PNG)
+		# PNG file formats
+		F_DEVS="$F_DEVS $PNG_DEVS"
+		;;
+	TIFF)
+		# TIFF file formats
+		F_DEVS="$F_DEVS $TIFF_DEVS"
+		;;
+	PCLXL)
+		# PCL XL/PCL 6 drivers
+		F_DEVS="$F_DEVS $PCLXL_DEVS"
+		;;
+	PCX)
+		# PCX file formats
+		F_DEVS="$F_DEVS $PCX_DEVS"
+		;;
+	PBM)
+		# PBM file formats
+		F_DEVS="$F_DEVS $PBM_DEVS"
+		;;
+	HP)
+		# All HP printers
+		P_DEVS="$P_DEVS $HP_DEVS"
+		;;
+	LEXMARK)
+		# All Lexmark printers
+		P_DEVS="$P_DEVS $LEXMARK_DEVS"
+		;;
+	BROTHER)
+		# All Brother printers
+		P_DEVS="$P_DEVS $BROTHER_DEVS"
+		;;
+	OKI)
+		# All OKI printers
+		P_DEVS="$P_DEVS $OKI_DEVS"
+		;;
+	IBM)
+		# All IBM printers
+		P_DEVS="$P_DEVS $IBM_DEVS"
+		;;
+	JAPAN)
+		# All old japanese printers
+		P_DEVS="$P_DEVS $JAPAN_DEVS"
+		;;
+	PS)
+		# PostScript/PDF writing
+		F_DEVS="$F_DEVS $PS_DEVS"
+		;;
+        opvp)
+		# Open Vector Printing driver...
+		if test x$ac_cv_lib_dl_dlopen != xno -a x$found_iconv != xno; then
+			P_DEVS="$P_DEVS $OPVP_DEVS"
+		else
+			AC_MSG_WARN(Unable to include opvp/oprp driver due to missing prerequisites...)
+		fi
+		;;
+	*)
+		# It's a driver name (or a user messup)
+		P_DEVS="$P_DEVS `echo $THIS |sed -e 's,\.dev$,,'`"
+		;;
+	esac
+done
+# No need to include opvp/oprp driver without iconv/libiconv.
+if test -n "$P_DEVS"; then
+	if test x$found_iconv = xno ; then
+		P_DEVS=`echo $P_DEVS | sed -e 's|opvp||' -e 's|oprp||'` 
+		AC_MSG_WARN(Unable to include opvp/oprp driver due to missing iconv/libiconv...)
+	fi
+
+# Remove contributed drivers if requested and make sure we don't have any 
+# duplicates in there, add $(DD)foo.dev constructs
+	PRINTERS=`(for i in $P_DEVS; do d='$(DD)'${i}.dev; if ( grep -q '^'$d src/*.mak ) || ( ! test -z "$CONTRIBINCLUDE" ); then echo $d; fi; done) | sort | uniq | tr '\012' ' '`
+fi
+if test -n "$F_DEVS"; then
+	FILES=`(for i in $F_DEVS; do d='$(DD)'${i}.dev; if ( grep -q '^'$d src/*.mak ) || ( ! test -z "$CONTRIBINCLUDE" ); then echo $d; fi; done) | sort | uniq | tr '\012' ' '`
+fi
+AC_SUBST(PRINTERS)
+AC_SUBST(FILES)
+
+dnl Dynamic device support.
+DYNAMIC_CFLAGS=""
+DYNAMIC_DEVS=""
+DYNAMIC_FLAGS=""
+DYNAMIC_LDFLAGS=""
+DYNAMIC_LIBS=""
+INSTALL_SHARED=""
+
+AC_ARG_ENABLE(dynamic, [  --enable-dynamic        enable dynamically loaded drivers (default=no)],
+[	case `uname` in
+		Linux*)
+		INSTALL_SHARED="install-shared"
+		DYNAMIC_CFLAGS="-fPIC"
+		if test "x$X_DEVS" != x; then
+			DYNAMIC_DEVS="\$(GLOBJDIR)/X11.so"
+		else
+			DYNAMIC_DEVS=""
+		fi
+		DYNAMIC_FLAGS="-DGS_DEVS_SHARED -DGS_DEVS_SHARED_DIR=\\\"\$(gssharedir)\\\""
+		DYNAMIC_LDFLAGS="-fPIC -shared"
+		DYNAMIC_LIBS="-rdynamic -ldl"
+		X_DEVS=""
+		;;
+		*BSD)
+		DYNAMIC_CFLAGS="-fPIC"
+		DYNAMIC_DEVS="\$(GLOBJDIR)/X11.so"
+		DYNAMIC_FLAGS="-DGS_DEVS_SHARED -DGS_DEVS_SHARED_DIR=\\\"\$(gssharedir)\\\""
+		DYNAMIC_LDFLAGS="-fPIC -shared"
+		DYNAMIC_LIBS=""
+		X_DEVS=""
+		;;
+		*)
+		AC_MSG_ERROR([Sorry, dynamic driver support not available on this platform!])
+		;;
+	esac
+])
+
+AC_SUBST(DYNAMIC_CFLAGS)
+AC_SUBST(DYNAMIC_DEVS)
+AC_SUBST(DYNAMIC_FLAGS)
+AC_SUBST(DYNAMIC_LDFLAGS)
+AC_SUBST(DYNAMIC_LIBS)
+AC_SUBST(INSTALL_SHARED)
+
+dnl look for default font path...
+AC_ARG_WITH(fontpath, [  --with-fontpath         set font path for gs],fontpath="$withval",fontpath="")
+
+dnl Fix "prefix" variable...
+if test "x$prefix" = xNONE; then
+	prefix=/usr/local
+fi
+
+dnl Fix "datadir" variable...
+if test "x$datadir" = 'x${prefix}/share'; then
+	datadir="$prefix/share"
+fi
+
+dnl Fix "fontpath" variable...
+if test "x$fontpath" = "x"; then
+	# These font directories are used by various Linux distributions...
+	fontpath="$datadir/fonts/default/ghostscript"
+	fontpath="${fontpath}:$datadir/fonts/default/Type1"
+	fontpath="${fontpath}:$datadir/fonts/default/TrueType"
+
+	# These font directories are used by IRIX...
+	fontpath="${fontpath}:/usr/lib/DPS/outline/base"
+
+	# These font directories are used by Solaris...
+	fontpath="${fontpath}:/usr/openwin/lib/X11/fonts/Type1"
+	fontpath="${fontpath}:/usr/openwin/lib/X11/fonts/TrueType"
+fi
+
+AC_SUBST(fontpath)
+
 dnl --------------------------------------------------
 dnl Check for library functions
 dnl --------------------------------------------------
@@ -433,4 +888,7 @@
 
 AC_SUBST(OPT_CFLAGS)
 AC_SUBST(GCFLAGS)
-AC_OUTPUT(Makefile)
+AC_OUTPUT(Makefile src/version.mak
+	  contrib/cups/pstopxl contrib/cups/pstoraster)
+
+chmod +x contrib/cups/pstopxl contrib/cups/pstoraster
--- gs-orig/src/Makefile.in	2007-04-26 12:00:35.000000000 +0100
+++ gs-newbuild/src/Makefile.in	2007-04-26 15:42:25.000000000 +0100
@@ -30,6 +30,7 @@
 PSLIBDIR=./lib
 PSGENDIR=./obj
 PSOBJDIR=./obj
+CONTRIBDIR=./contrib
 
 # Do not edit the next group of lines.
 
@@ -38,6 +39,21 @@
 GLD=$(GLGENDIR)/
 PSD=$(PSGENDIR)/
 
+#### The following comes from the version.mak file, but we substitute
+#### the values from the configure script...
+# Major and minor version numbers.
+# MINOR0 is different from MINOR only if MINOR is a single digit.
+GS_VERSION_MAJOR=@GS_VERSION_MAJOR@
+GS_VERSION_MINOR=@GS_VERSION_MINOR@
+GS_VERSION_PATCH=@GS_VERSION_PATCH@
+GS_VERSION_MINOR0=@GS_VERSION_MINOR0@
+# Revision date: year x 10000 + month x 100 + day.
+GS_REVISIONDATE=@GS_REVISIONDATE@
+# Derived values
+GS_VERSION=@GS_VERSION@
+GS_DOT_VERSION=$(GS_VERSION_MAJOR).$(GS_VERSION_MINOR0)
+GS_REVISION=$(GS_VERSION)
+
 # ------ Generic options ------ #
 
 # Define the installation commands and target directories for
@@ -48,6 +64,7 @@
 INSTALL = $(GLSRCDIR)/instcopy -c
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_DATA = $(INSTALL) -m 644
+INSTALL_SHARED = @INSTALL_SHARED@
 
 prefix = @prefix@
 exec_prefix = @exec_prefix@
@@ -56,10 +73,15 @@
 libdir = @libdir@
 mandir = @mandir@
 man1ext = 1
+man1dir = $(mandir)/man$(man1ext)
 datadir = @datadir@
-gsdir = $(datadir)/ghostscript
+datarootdir = @datarootdir@
+
+# The following must be substituted using @datadir@ and @libdir@
+# to avoid adding RPM generation paths (CUPS STR #1112)
+gsdir = @datadir@/ghostscript
 gsdatadir = $(gsdir)/$(GS_DOT_VERSION)
-gssharedir = $(prefix)/lib/ghostscript/$(GS_DOT_VERSION)
+gssharedir = @libdir@/ghostscript/$(GS_DOT_VERSION)
 
 docdir=$(gsdatadir)/doc
 exdir=$(gsdatadir)/examples
@@ -68,7 +90,7 @@
 # Define the default directory/ies for the runtime
 # initialization and font files.  Separate multiple directories with a :.
 
-GS_LIB_DEFAULT=$(gsdatadir)/lib:$(gsdatadir)/Resource:$(gsdir)/fonts
+GS_LIB_DEFAULT=$(gsdatadir)/lib:$(gsdatadir)/Resource:$(gsdir)/fonts:@fontpath@
 
 # Define the default directory for cached data files
 # this must be a single path.
@@ -233,7 +255,7 @@
 CFLAGS_STANDARD=@OPT_CFLAGS@
 CFLAGS_DEBUG=-g -O
 CFLAGS_PROFILE=-pg @OPT_CFLAGS@
-CFLAGS_SO=-fPIC
+CFLAGS_SO=@DYNAMIC_CFLAGS@
 
 # Define the other compilation flags.  Add at most one of the following:
 #	-DBSD4_2 for 4.2bsd systems.
@@ -246,7 +268,7 @@
 # We don't include -ansi, because this gets in the way of the platform-
 #   specific stuff that <math.h> typically needs; nevertheless, we expect
 #   gcc to accept ANSI-style function prototypes and function definitions.
-XCFLAGS=-DGS_DEVS_SHARED -DGS_DEVS_SHARED_DIR=\"$(gssharedir)\"
+XCFLAGS=@DYNAMIC_FLAGS@
 
 # defines from autoconf; note that we don't use these at present.
 ACDEFS=@DEFS@
@@ -260,7 +282,7 @@
 #	-R /usr/local/xxx/lib:/usr/local/lib
 # giving the full path names of the shared library directories.
 # XLDFLAGS can be set from the command line.
-XLDFLAGS=
+XLDFLAGS=@X_LDFLAGS@
 
 LDFLAGS=@LDFLAGS@ $(XLDFLAGS)
 
@@ -271,7 +293,7 @@
 # Solaris may need -lnsl -lsocket -lposix4.
 # (Libraries required by individual drivers are handled automatically.)
 
-EXTRALIBS=-rdynamic -ldl
+EXTRALIBS=@LIBS@ @DYNAMIC_LIBS@
 
 # Define the standard libraries to search at the end of linking.
 # Most platforms require -lpthread for the POSIX threads library;
@@ -306,10 +328,10 @@
 # the -L (or whatever). It also defines X_PRE_LIBS and X_EXTRA_LIBS 
 # all three of which are stripped and slotted into XLIBS below.
 # Usually however, all but X_LIBS are empty on modern platforms.
-XLIBDIRS=@X_LIBS@
+XLIBDIRS=@X_LDFLAGS@
 XLIBDIR=
 #XLIBS=Xt Xext X11
-XLIBS=@XLIBS@
+XLIBS=@X_LIBS@
 
 # Define whether this platform has floating point hardware:
 #	FPU_TYPE=2 means floating point is faster than fixed point.
@@ -332,11 +354,19 @@
 # Default is No sync primitives since some platforms don't have it (HP-UX)
 SYNC=nosync
 
+# programs we use
+RM=rm -f
+
+# ------ Dynamic loader options ------- #
+SOC_CFLAGS	=	@SOC_CFLAGS@
+SOC_LIBS	=	@SOC_LIBS@
+SOC_LOADER	=	@SOC_LOADER@
+
 # ------ Devices and features ------ #
 
 # Choose the language feature(s) to include.  See gs.mak for details.
 
-FEATURE_DEVS=$(PSD)psl3.dev $(PSD)pdf.dev $(PSD)ttfont.dev $(PSD)epsf.dev $(GLD)pipe.dev $(PSD)fapi.dev @JBIG2DEVS@ @JPXDEVS@
+FEATURE_DEVS=$(PSD)psl3.dev $(PSD)pdf.dev $(PSD)dpsnext.dev $(PSD)ttfont.dev $(PSD)epsf.dev $(GLD)pipe.dev $(PSD)fapi.dev @JBIG2DEVS@ @JPXDEVS@
 #FEATURE_DEVS=$(PSD)psl3.dev $(PSD)pdf.dev
 #FEATURE_DEVS=$(PSD)psl3.dev $(PSD)pdf.dev $(PSD)dpsnext.dev $(PSD)ttfont.dev $(PSD)rasterop.dev $(GLD)pipe.dev
 # The following is strictly for testing.
@@ -374,7 +404,7 @@
 
 # Override the default device.  This is set to 'display' by 
 # unix-dll.mak when building a shared object.
-DISPLAY_DEV=
+DISPLAY_DEV=$(DD)bbox.dev
 
 # Define the name table capacity size of 2^(16+n).
 # Setting this to a non-zero value will slow down the interpreter.
@@ -386,34 +416,57 @@
 
 #DEVICE_DEVS=$(DISPLAY_DEV) $(DD)x11.dev $(DD)x11alpha.dev $(DD)x11cmyk.dev $(DD)x11gray2.dev $(DD)x11gray4.dev $(DD)x11mono.dev
 #DEVICE_DEVS=$(DISPLAY_DEV) @X11DEVS@
-DEVICE_DEVS=
+#DEVICE_DEVS=$(DISPLAY_DEV) @X_DEVS@
 
-DEVICE_DEVS1=$(DD)bmpmono.dev $(DD)bmpgray.dev $(DD)bmpsep1.dev $(DD)bmpsep8.dev $(DD)bmp16.dev $(DD)bmp256.dev $(DD)bmp16m.dev $(DD)bmp32b.dev
-DEVICE_DEVS2=#$(DD)gdevjbig2.dev $(DD)gdevjpx.dev #$(DD)rinkj.dev
-DEVICE_DEVS3=$(DD)deskjet.dev $(DD)djet500.dev $(DD)laserjet.dev $(DD)ljetplus.dev $(DD)ljet2p.dev $(DD)ljet3.dev $(DD)ljet3d.dev $(DD)ljet4.dev $(DD)ljet4d.dev $(DD)lj5mono.dev $(DD)lj5gray.dev
-DEVICE_DEVS4=$(DD)cdeskjet.dev $(DD)cdjcolor.dev $(DD)cdjmono.dev $(DD)cdj550.dev $(DD)pj.dev $(DD)pjxl.dev $(DD)pjxl300.dev
-DEVICE_DEVS5=$(DD)uniprint.dev @IJSDEVS@
-DEVICE_DEVS6=$(DD)bj10e.dev $(DD)bj200.dev $(DD)bjc600.dev $(DD)bjc800.dev
-DEVICE_DEVS7=$(DD)faxg3.dev $(DD)faxg32d.dev $(DD)faxg4.dev $(DD)cfax.dev
-DEVICE_DEVS8=$(DD)pcxmono.dev $(DD)pcxgray.dev $(DD)pcx16.dev $(DD)pcx256.dev $(DD)pcx24b.dev $(DD)pcxcmyk.dev
-DEVICE_DEVS9=$(DD)pbm.dev $(DD)pbmraw.dev $(DD)pgm.dev $(DD)pgmraw.dev $(DD)pgnm.dev $(DD)pgnmraw.dev $(DD)pnm.dev $(DD)pnmraw.dev $(DD)ppm.dev $(DD)ppmraw.dev $(DD)pkm.dev $(DD)pkmraw.dev $(DD)pksm.dev $(DD)pksmraw.dev
-DEVICE_DEVS10=$(DD)tiffcrle.dev $(DD)tiffg3.dev $(DD)tiffg32d.dev $(DD)tiffg4.dev $(DD)tifflzw.dev $(DD)tiffpack.dev
-DEVICE_DEVS11=$(DD)tiff12nc.dev $(DD)tiff24nc.dev $(DD)tiffgray.dev $(DD)tiff32nc.dev $(DD)tiffsep.dev
-DEVICE_DEVS12=$(DD)psmono.dev $(DD)psgray.dev $(DD)psrgb.dev $(DD)bit.dev $(DD)bitrgb.dev $(DD)bitcmyk.dev
+#DEVICE_DEVS1=$(DD)bmpmono.dev $(DD)bmpgray.dev $(DD)bmpsep1.dev $(DD)bmpsep8.dev $(DD)bmp16.dev $(DD)bmp256.dev $(DD)bmp16m.dev $(DD)bmp32b.dev
+#DEVICE_DEVS2=#$(DD)gdevjbig2.dev $(DD)gdevjpx.dev #$(DD)rinkj.dev
+#DEVICE_DEVS3=$(DD)deskjet.dev $(DD)djet500.dev $(DD)laserjet.dev $(DD)ljetplus.dev $(DD)ljet2p.dev $(DD)ljet3.dev $(DD)ljet3d.dev $(DD)ljet4.dev $(DD)ljet4d.dev $(DD)lj5mono.dev $(DD)lj5gray.dev
+#DEVICE_DEVS4=$(DD)cdeskjet.dev $(DD)cdjcolor.dev $(DD)cdjmono.dev $(DD)cdj550.dev $(DD)pj.dev $(DD)pjxl.dev $(DD)pjxl300.dev
+#DEVICE_DEVS5=$(DD)uniprint.dev @IJSDEVS@
+#DEVICE_DEVS6=$(DD)bj10e.dev $(DD)bj200.dev $(DD)bjc600.dev $(DD)bjc800.dev
+#DEVICE_DEVS7=$(DD)faxg3.dev $(DD)faxg32d.dev $(DD)faxg4.dev $(DD)cfax.dev
+#DEVICE_DEVS8=$(DD)pcxmono.dev $(DD)pcxgray.dev $(DD)pcx16.dev $(DD)pcx256.dev $(DD)pcx24b.dev $(DD)pcxcmyk.dev
+#DEVICE_DEVS9=$(DD)pbm.dev $(DD)pbmraw.dev $(DD)pgm.dev $(DD)pgmraw.dev $(DD)pgnm.dev $(DD)pgnmraw.dev $(DD)pnm.dev $(DD)pnmraw.dev $(DD)ppm.dev $(DD)ppmraw.dev $(DD)pkm.dev $(DD)pkmraw.dev $(DD)pksm.dev $(DD)pksmraw.dev
+#DEVICE_DEVS10=$(DD)tiffcrle.dev $(DD)tiffg3.dev $(DD)tiffg32d.dev $(DD)tiffg4.dev $(DD)tifflzw.dev $(DD)tiffpack.dev
+#DEVICE_DEVS11=$(DD)tiff12nc.dev $(DD)tiff24nc.dev $(DD)tiffgray.dev $(DD)tiff32nc.dev $(DD)tiffsep.dev
+#DEVICE_DEVS12=$(DD)psmono.dev $(DD)psgray.dev $(DD)psrgb.dev $(DD)bit.dev $(DD)bitrgb.dev $(DD)bitcmyk.dev
 #DEVICE_DEVS13=$(DD)pngmono.dev $(DD)pnggray.dev $(DD)png16.dev $(DD)png256.dev $(DD)png16m.dev
-DEVICE_DEVS13=@PNGDEVS@
-DEVICE_DEVS14=$(DD)jpeg.dev $(DD)jpeggray.dev
-DEVICE_DEVS15=$(DD)pdfwrite.dev $(DD)pswrite.dev $(DD)ps2write.dev $(DD)epswrite.dev $(DD)pxlmono.dev $(DD)pxlcolor.dev
-DEVICE_DEVS16=$(DD)bbox.dev
-
+#DEVICE_DEVS13=@PNGDEVS@
+#DEVICE_DEVS14=$(DD)jpeg.dev $(DD)jpeggray.dev
+#DEVICE_DEVS15=$(DD)pdfwrite.dev $(DD)pswrite.dev $(DD)ps2write.dev $(DD)epswrite.dev $(DD)pxlmono.dev $(DD)pxlcolor.dev
+#DEVICE_DEVS16=$(DD)bbox.dev
+
+#DEVICE_DEVS17=
+#DEVICE_DEVS18=
+#DEVICE_DEVS19=
+#DEVICE_DEVS20=$(DD)cljet5.dev $(DD)cljet5c.dev
+#DEVICE_DEVS21=$(DD)spotcmyk.dev $(DD)devicen.dev $(DD)xcf.dev $(DD)psdcmyk.dev $(DD)psdrgb.dev
+DEVICE_DEVS=$(DISPLAY_DEV) @X_DEVS@
+DEVICE_DEVS1=@FILES@
+DEVICE_DEVS2=@PRINTERS@
+DEVICE_DEVS3=@CUPSDEV@
+DEVICE_DEVS4=@IJSDEVS@
+DEVICE_DEVS5=@OMNIDEVS@
+DEVICE_DEVS6=@PNGDEVS@
+DEVICE_DEVS7=@JBIG2DEVS@
+DEVICE_DEVS8=
+DEVICE_DEVS9=
+DEVICE_DEVS10=
+DEVICE_DEVS11=
+DEVICE_DEVS12=
+DEVICE_DEVS13=
+DEVICE_DEVS14=
+DEVICE_DEVS15=
+DEVICE_DEVS16=
 DEVICE_DEVS17=
 DEVICE_DEVS18=
 DEVICE_DEVS19=
-DEVICE_DEVS20=$(DD)cljet5.dev $(DD)cljet5c.dev
-DEVICE_DEVS21=$(DD)spotcmyk.dev $(DD)devicen.dev $(DD)xcf.dev $(DD)psdcmyk.dev $(DD)psdrgb.dev
+DEVICE_DEVS20=
+DEVICE_DEVS21=
+
 
 # Shared library target to build.
-GS_SHARED_OBJS=$(GLOBJDIR)/X11.so
+GS_SHARED_OBJS=@DYNAMIC_DEVS@
 
 # ---------------------------- End of options --------------------------- #
 
@@ -432,10 +485,13 @@
 CCFLAGS=$(GENOPT) $(CAPOPT) $(CFLAGS)
 CC_=$(CC) $(CCFLAGS)
 CCAUX=$(CC) $(GCFLAGS)
+CC_LEAF=$(CC_)
+# note gcc can't use -fomit-frame-pointer with -pg.
+CC_LEAF_PG=$(CC_)
 # These are the specific warnings we have to turn off to compile those
 # specific few files that need this.  We may turn off others in the future.
 CC_NO_WARN=$(CC_)
-CC_SHARED=$(CC_) -fPIC -shared
+CC_SHARED=$(CC_) @DYNAMIC_LDFLAGS@
 
 # ---------------- End of platform-specific section ---------------- #
 
@@ -461,6 +517,8 @@
 include $(GLSRCDIR)/unix-dll.mak
 include $(GLSRCDIR)/unix-end.mak
 include $(GLSRCDIR)/unixinst.mak
+@CONTRIBINCLUDE@
+@CUPSINCLUDE@
 
 # Clean up after the autotools scripts
 # configure.ac and Makefile.in are symlinks from a subdir 
--- gs-orig/src/gdevlbp8.c	2007-04-26 16:38:47.000000000 +0100
+++ gs-newbuild/src/gdevlbp8.c	2007-04-26 16:40:15.000000000 +0100
@@ -43,7 +43,7 @@
 
 /* The device descriptors */
 private dev_proc_print_page(lbp8_print_page);
-#if 0
+#ifdef NOCONTRIB
 private dev_proc_print_page(lips3_print_page);
 #endif
 
@@ -54,7 +54,7 @@
 	0.16, 0.2, 0.32, 0.21,		/* margins: left, bottom, right, top */
 	1, lbp8_print_page);
 
-#if 0
+#ifdef NOCONTRIB
 const gx_device_printer far_data gs_lips3_device =
   prn_device(prn_std_procs, "lips3",
 	82,				/* width_10ths, 8.3" */
@@ -82,7 +82,7 @@
 
 static const char *lbp8_end = NULL;
 
-#if 0
+#ifdef NOCONTRIB
 static const char lips3_init[] = {
   ESC, '<', /* soft reset */
   DCS, '0', 'J', ST, /* JOB END */
@@ -205,7 +205,7 @@
 			      lbp8_end, sizeof(lbp8_end));
 }
 
-#if 0
+#ifdef NOCONTRIB
 /* Print a LIPS III page. */
 private int
 lips3_print_page(gx_device_printer *pdev, FILE *prn_stream)
--- gs-orig/src/unixinst.mak	2007-04-26 19:34:41.000000000 +0100
+++ gs-newbuild/src/unixinst.mak	2007-04-26 19:34:59.000000000 +0100
@@ -15,7 +15,7 @@
 # containing the `install' targets.
 # This is the very last part of the makefile for these configurations.
 
-install: install-exec install-scripts install-data install-shared
+install: install-exec install-scripts install-data $(INSTALL_SHARED) $(INSTALL_CONTRIB)
 
 # The sh -c in the rules below is required because Ultrix's implementation
 # of sh -e terminates execution of a command if any error occurs, even if
--- gs-orig/src/version.mak	2007-04-26 16:38:15.000000000 +0100
+++ gs-newbuild/src/version.mak	2007-04-26 19:48:39.000000000 +0100
@@ -1,26 +0,0 @@
-#  Copyright (C) 2001-2006 artofcode LLC.
-#  All Rights Reserved.
-#
-#  This software is provided AS-IS with no warranty, either express or
-#  implied.
-#
-#  This software is distributed under license and may not be copied, modified
-#  or distributed except as expressly authorized under the terms of that
-#  license.  Refer to licensing information at http://www.artifex.com/
-#  or contact Artifex Software, Inc.,  7 Mt. Lassen Drive - Suite A-134,
-#  San Rafael, CA  94903, U.S.A., +1(415)492-9861, for further information.
-#
-# $Id: version.mak 7790 2007-03-15 00:44:21Z giles $
-# Makefile fragment containing the current revision identification.
-
-# Major and minor version numbers.
-# MINOR0 is different from MINOR only if MINOR is a single digit.
-GS_VERSION_MAJOR=8
-GS_VERSION_MINOR=57
-GS_VERSION_MINOR0=57
-# Revision date: year x 10000 + month x 100 + day.
-GS_REVISIONDATE=20070315
-# Derived values
-GS_VERSION=$(GS_VERSION_MAJOR)$(GS_VERSION_MINOR0)
-GS_DOT_VERSION=$(GS_VERSION_MAJOR).$(GS_VERSION_MINOR0)
-GS_REVISION=$(GS_VERSION)
--- gs-orig/src/version.mak.in	2007-04-26 16:37:50.000000000 +0100
+++ gs-newbuild/src/version.mak.in	2007-04-26 14:43:37.000000000 +0100
@@ -0,0 +1,26 @@
+#  Copyright (C) 2001-2006 artofcode LLC.
+#  All Rights Reserved.
+#
+#  This software is provided AS-IS with no warranty, either express or
+#  implied.
+#
+#  This software is distributed under license and may not be copied, modified
+#  or distributed except as expressly authorized under the terms of that
+#  license.  Refer to licensing information at http://www.artifex.com/
+#  or contact Artifex Software, Inc.,  7 Mt. Lassen Drive - Suite A-134,
+#  San Rafael, CA  94903, U.S.A., +1(415)492-9861, for further information.
+#
+# $Id: version.mak 7790 2007-03-15 00:44:21Z giles $
+# Makefile fragment containing the current revision identification.
+
+# Major and minor version numbers.
+# MINOR0 is different from MINOR only if MINOR is a single digit.
+GS_VERSION_MAJOR=@GS_VERSION_MAJOR@
+GS_VERSION_MINOR=@GS_VERSION_MINOR@
+GS_VERSION_MINOR0=@GS_VERSION_MINOR0@
+# Revision date: year x 10000 + month x 100 + day.
+GS_REVISIONDATE=@GS_REVISIONDATE@
+# Derived values
+GS_VERSION=$(GS_VERSION_MAJOR)$(GS_VERSION_MINOR0)
+GS_DOT_VERSION=$(GS_VERSION_MAJOR).$(GS_VERSION_MINOR0)
+GS_REVISION=$(GS_VERSION)
--- gs-orig/src/contrib.mak	2007-04-26 19:56:26.000000000 +0100
+++ gs-newbuild/src/contrib.mak	2007-04-26 19:54:19.000000000 +0100
@@ -472,16 +472,6 @@
 $(GLOBJ)gdevstc4.$(OBJ) : $(GLSRC)gdevstc4.c $(gdevstc_h) $(PDEVH)
 	$(GLCC) $(GLO_)gdevstc4.$(OBJ) $(C_) $(GLSRC)gdevstc4.c
 
-###--------------- Added Omni --------------------------###
-
-epclr_h1=$(GLSRC)defs.h
-
-$(DD)omni.dev : $(GLOBJ)gomni.$(OBJ) $(DD)page.dev
-	$(SETPDEV) $(DD)omni $(GLOBJ)gomni.$(OBJ)
-
-$(GLOBJ)gomni.$(OBJ) : $(GLSRC)gomni.c $(epclr_h1) $(PDEVH)
-	$(GLCC) $(GLO_)gomni.$(OBJ) $(C_) $(GLSRC)gomni.c
-
 ### --------------- Ugly/Update -> Unified Printer Driver ---------------- ###
 ### For questions about this driver, please contact:                       ###
 ###        Gunther Hess (gunther@elmos.de)                                 ###
